HamletSpec.INPUT (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.webapp.hamlet2, class: HamletSpec, interface: INPUT

Package org.apache.hadoop.yarn.webapp.hamlet2

# Interface HamletSpec.INPUT

All Superinterfaces:
  `HamletSpec.__`, `HamletSpec._Child`, `HamletSpec.Attrs`, `HamletSpec.CoreAttrs`, `HamletSpec.EventsAttrs`, `HamletSpec.I18nAttrs`

All Known Implementing Classes:
  `Hamlet.INPUT`

Enclosing class:
  HamletSpec

public static interface HamletSpec.INPUT extends HamletSpec.Attrs, HamletSpec._Child

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HamletSpec.INPUT`
  `$accept(String contentTypes)`
  list of MIME types for file upload (csv)
  `HamletSpec.INPUT`
  `$accesskey(String cdata)`
  accessibility key character
  `HamletSpec.INPUT`
  `$alt(String cdata)`
  short description
  `HamletSpec.INPUT`
  `$checked()`
  for radio buttons and check boxes
  `HamletSpec.INPUT`
  `$disabled()`
  unavailable in this context
  `HamletSpec.INPUT`
  `$ismap()`
  use server-side image map
  `HamletSpec.INPUT`
  `$maxlength(int length)`
  max chars for text fields
  `HamletSpec.INPUT`
  `$name(String cdata)`
  submit as part of form
  `HamletSpec.INPUT`
  `$onblur(String script)`
  the element lost the focus
  `HamletSpec.INPUT`
  `$onchange(String script)`
  the element value was changed
  `HamletSpec.INPUT`
  `$onfocus(String script)`
  the element got the focus
  `HamletSpec.INPUT`
  `$onselect(String script)`
  some text was selected
  `HamletSpec.INPUT`
  `$readonly()`
  for text and passwd
  `HamletSpec.INPUT`
  `$size(String cdata)`
  specific to each type of field
  `HamletSpec.INPUT`
  `$src(String uri)`
  for fields with images
  `HamletSpec.INPUT`
  `$tabindex(int index)`
  position in tabbing order
  `HamletSpec.INPUT`
  `$type(HamletSpec.InputType inputType)`
  what kind of widget is needed. default is "text".
  `HamletSpec.INPUT`
  `$value(String cdata)`
  Specify for radio buttons and checkboxes

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Child

  `__`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.CoreAttrs

  `$class, $id, $style, $title`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.EventsAttrs

  `$onclick, $ondblclick, $onkeydown, $onkeypress, $onkeyup, $onmousedown, $onmousemove, $onmouseout, $onmouseover, $onmouseup`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.I18nAttrs

  `$dir, $lang`

- ## Method Details

  - ### $type

    HamletSpec.INPUT $type(HamletSpec.InputType inputType)
    what kind of widget is needed. default is "text".
    Parameters:
      `inputType` - input value.
    Returns:
      the current element builder

  - ### $name

    HamletSpec.INPUT $name(String cdata)
    submit as part of form
    Parameters:
      `cdata` - the content of the element.
    Returns:
      the current element builder

  - ### $value

    HamletSpec.INPUT $value(String cdata)
    Specify for radio buttons and checkboxes
    Parameters:
      `cdata` - the content of the element.
    Returns:
      the current element builder

  - ### $checked

    HamletSpec.INPUT $checked()
    for radio buttons and check boxes
    Returns:
      the current element builder

  - ### $disabled

    HamletSpec.INPUT $disabled()
    unavailable in this context
    Returns:
      the current element builder

  - ### $readonly

    HamletSpec.INPUT $readonly()
    for text and passwd
    Returns:
      the current element builder

  - ### $size

    HamletSpec.INPUT $size(String cdata)
    specific to each type of field
    Parameters:
      `cdata` - the content of the element.
    Returns:
      the current element builder

  - ### $maxlength

    HamletSpec.INPUT $maxlength(int length)
    max chars for text fields
    Parameters:
      `length` - max chars length.
    Returns:
      the current element builder

  - ### $src

    HamletSpec.INPUT $src(String uri)
    for fields with images
    Parameters:
      `uri` - the URI.
    Returns:
      the current element builder

  - ### $alt

    HamletSpec.INPUT $alt(String cdata)
    short description
    Parameters:
      `cdata` - the content of the element.
    Returns:
      the current element builder

  - ### $ismap

    HamletSpec.INPUT $ismap()
    use server-side image map
    Returns:
      the current element builder

  - ### $tabindex

    HamletSpec.INPUT $tabindex(int index)
    position in tabbing order
    Parameters:
      `index` - the index
    Returns:
      the current element builder

  - ### $accesskey

    HamletSpec.INPUT $accesskey(String cdata)
    accessibility key character
    Parameters:
      `cdata` - the content of the element.
    Returns:
      the current element builder

  - ### $onfocus

    HamletSpec.INPUT $onfocus(String script)
    the element got the focus
    Parameters:
      `script` - to invoke.
    Returns:
      the current element builder

  - ### $onblur

    HamletSpec.INPUT $onblur(String script)
    the element lost the focus
    Parameters:
      `script` - to invoke.
    Returns:
      the current element builder

  - ### $onselect

    HamletSpec.INPUT $onselect(String script)
    some text was selected
    Parameters:
      `script` - to invoke.
    Returns:
      the current element builder

  - ### $onchange

    HamletSpec.INPUT $onchange(String script)
    the element value was changed
    Parameters:
      `script` - to invoke.
    Returns:
      the current element builder

  - ### $accept

    HamletSpec.INPUT $accept(String contentTypes)
    list of MIME types for file upload (csv)
    Parameters:
      `contentTypes` - content types.
    Returns:
      the current element builder